cpw.mods.fml.common.network.handshake

## Class FMLHandshakeMessage

- java.lang.Object
- - cpw.mods.fml.common.network.handshake.FMLHandshakeMessage

- Direct Known Subclasses:
    FMLHandshakeMessage.ClientHello, FMLHandshakeMessage.HandshakeAck, FMLHandshakeMessage.ModIdData, FMLHandshakeMessage.ModList, FMLHandshakeMessage.ServerHello

      public abstract class FMLHandshakeMessage
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FMLHandshakeMessage.ClientHello`
    `static class` | `FMLHandshakeMessage.HandshakeAck`
    `static class` | `FMLHandshakeMessage.ModIdData`
    `static class` | `FMLHandshakeMessage.ModList`
    `static class` | `FMLHandshakeMessage.ServerHello`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLHandshakeMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromBytes(io.netty.buffer.ByteBuf buffer)`
    `static FMLProxyPacket` | `makeCustomChannelRegistration(java.util.Set<java.lang.String> channels)`
    `void` | `toBytes(io.netty.buffer.ByteBuf buffer)`
    `java.lang.String` | `toString(java.lang.Class<? extends java.lang.Enum<?>> side)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLHandshakeMessage

          public FMLHandshakeMessage()

  - ### Method Detail

    - #### makeCustomChannelRegistration

          public static FMLProxyPacket makeCustomChannelRegistration(java.util.Set<java.lang.String> channels)

    - #### fromBytes

          public void fromBytes(io.netty.buffer.ByteBuf buffer)

    - #### toBytes

          public void toBytes(io.netty.buffer.ByteBuf buffer)

    - #### toString

          public java.lang.String toString(java.lang.Class<? extends java.lang.Enum<?>> side)